'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _templateObject = _taggedTemplateLiteral(['\n  box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);\n'], ['\n  box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);\n']);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

var _MessageBubble = require('../components/MessageBubble');

var _MessageBubble2 = _interopRequireDefault(_MessageBubble);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

function _taggedTemplateLiteral(strings, raw) { return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var MessageContainer = _styledComponents2.default.div(_templateObject);

var MessageGroup = function (_PureComponent) {
  _inherits(MessageGroup, _PureComponent);

  function MessageGroup() {
    _classCallCheck(this, MessageGroup);

    return _possibleConstructorReturn(this, (MessageGroup.__proto__ || Object.getPrototypeOf(MessageGroup)).apply(this, arguments));
  }

  _createClass(MessageGroup, [{
    key: 'render',
    value: function render() {
      var _props = this.props,
          sender = _props.sender,
          background = _props.background,
          color = _props.color,
          font = _props.font,
          messages = _props.messages;

      var messagesList = messages.map(function (message, index) {

        var top = message.length > 1 ? index == 0 : false;
        var bottom = message.length > 1 ? index == messages.length - 1 : false;

        return _react2.default.createElement(_MessageBubble2.default, {
          key: index,
          sender: sender,
          font: font,
          color: color,
          background: background,
          text: message,
          top: top,
          bottom: bottom
        });
      });

      return _react2.default.createElement(
        MessageContainer,
        null,
        messagesList
      );
    }
  }]);

  return MessageGroup;
}(_react.PureComponent);

exports.default = MessageGroup;


MessageGroup.propTypes = {
  messages: _propTypes2.default.array.isRequired,
  background: _propTypes2.default.string,
  color: _propTypes2.default.string,
  font: _propTypes2.default.string,
  sender: _propTypes2.default.bool
};