'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _templateObject = _taggedTemplateLiteral(['\n    display: inline;\n    color: ', ';\n    font-family: ', ';\n'], ['\n    display: inline;\n    color: ', ';\n    font-family: ', ';\n']),
    _templateObject2 = _taggedTemplateLiteral(['\n    max-width: 40%;\n    word-wrap: break-word;\n    clear: both;\n    display: inline;\n    margin: 1px;\n    float: ', ';\n    padding: 0.5em;\n    background: ', ';\n    border-radius: ', ';\n'], ['\n    max-width: 40%;\n    word-wrap: break-word;\n    clear: both;\n    display: inline;\n    margin: 1px;\n    float: ', ';\n    padding: 0.5em;\n    background: ', ';\n    border-radius: ', ';\n']);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

function _taggedTemplateLiteral(strings, raw) { return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var bubblePerspective = function bubblePerspective(_ref) {
  var fromFriend = _ref.fromFriend,
      top = _ref.top,
      bottom = _ref.bottom;

  if (fromFriend) {
    if (top) {
      return '15px 15px 15px 5px';
    }if (bottom) {
      return '5px 15px 15px 15px';
    }
    return '5px 15px 15px 5px';
  }
  if (top) {
    return '15px 15px 5px 15px';
  }if (bottom) {
    return '15px 5px 15px 15px';
  }
  return '15px 5px 5px 15px';
};

var BubbleText = _styledComponents2.default.p(_templateObject, function (props) {
  return props.color || '#222f3e';
}, function (props) {
  return props.font || 'helvetica';
});
var BubbleContainer = _styledComponents2.default.div(_templateObject2, function (props) {
  return props.fromFriend ? 'left' : 'right';
}, function (props) {
  return props.background || '#dfe4ea';
}, function (props) {
  return bubblePerspective(props);
});

var MessageBubble = function (_PureComponent) {
  _inherits(MessageBubble, _PureComponent);

  function MessageBubble() {
    _classCallCheck(this, MessageBubble);

    return _possibleConstructorReturn(this, (MessageBubble.__proto__ || Object.getPrototypeOf(MessageBubble)).apply(this, arguments));
  }

  _createClass(MessageBubble, [{
    key: 'render',
    value: function render() {
      var _props = this.props,
          text = _props.text,
          background = _props.background,
          color = _props.color,
          fromFriend = _props.fromFriend,
          top = _props.top,
          bottom = _props.bottom;

      return _react2.default.createElement(
        BubbleContainer,
        {
          background: background,
          fromFriend: fromFriend,
          bottom: bottom,
          top: top
        },
        _react2.default.createElement(
          BubbleText,
          {
            color: color
          },
          text
        )
      );
    }
  }]);

  return MessageBubble;
}(_react.PureComponent);

exports.default = MessageBubble;


MessageBubble.propTypes = {
  text: _propTypes2.default.string.isRequired,
  background: _propTypes2.default.string,
  color: _propTypes2.default.string,
  font: _propTypes2.default.string,
  fromFriend: _propTypes2.default.bool,
  top: _propTypes2.default.bool,
  bottom: _propTypes2.default.bool,
  style: _propTypes2.default.string
};